#ifndef _H_CONFIGURE_
#define _H_CONFIGURE_

/*
 * Place your output configurations here
 */

#ifdef SIZEOF_LONG_LONG
#define TYPE_NAMEOF_SIGNED_LONG_LONG	"c.signed_long_long"
#define TYPE_NAMEOF_UNSIGNED_LONG_LONG	"c.unsigned_long_long"
#endif
#define TYPE_NAMEOF_SIGNED_LONG			"c.signed_long"
#define TYPE_NAMEOF_UNSIGNED_LONG		"c.unsigned_long"
#define TYPE_NAMEOF_SIGNED_INT			"c.signed_int"
#define TYPE_NAMEOF_UNSIGNED_INT		"c.unsigned_int"
#define TYPE_NAMEOF_SIGNED_SHORT		"c.signed_short"
#define TYPE_NAMEOF_UNSIGNED_SHORT		"c.unsigned_short"
#define TYPE_NAMEOF_SIGNED_CHAR			"c.signed_char"
#define TYPE_NAMEOF_UNSIGNED_CHAR		"c.unsigned_char"
#define TYPE_NAMEOF_VOID				"c.void"
#define TYPE_NAMEOF_FLOAT				"c.float"
#define TYPE_NAMEOF_DOUBLE				"c.double"
#define TYPE_NAMEOF_CHAR_POINTER		"c.charp"
#define TYPE_NAMEOF_FUNCTION_POINTER	"c.function_pointer"

/*
 * At what column do comments begin at
 */
#define ADA_COMMENT_COLUMN				64

/*
 * Number of spaces per tab
 */
#define ADA_TAB_STOP					4


#endif /* _H_CONFIGURE_ */

